<template>
    <div class="integral">
        <div class="current-integral">
            <h4>我的积分</h4>
            <div class="integral-num">
                <span>65000</span>
            </div>
        </div>
        <div class="details">
            <h4>明细</h4>
            <ul>
                <li>
                    <div class="items">
                        <span>业务办理</span>
                        <span>2019.09.09</span>
                    </div>
                    <div class="items-price">
                        <span>+100</span>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</template>
<script>
    import {Button,Divider} from "vant";
    export default {
        name: "Integral",
        components: {
            [Button.name]: Button,
            [Divider.name]: Divider,
        },
        data() {
            return {
                active: 0
            }
        }
    };
</script>

<style scope lang="less">
    .integral{
        width: 100vw;
        background-color: var(--background);
        min-height: 100vh;
        .current-integral{
            background-color: var(--fill-1);
            display: flex;
            flex-direction: column;
            align-items: center;
            padding-bottom: 20px;
            h4{
                font-size: 14px;
                line-height: 18px;
                padding: 31px 0 20px 0;
            }
            .integral-num{
                width: 137.5px;
                height: 137.5px;
                border-radius: 50%;
                background:var(--background-2);
                display: flex;
                justify-content: center;
                align-items: center;
                span{
                    font-size: 24px;
                    color: var(--text-3);
                }
            }
        }
        .details{
            h4{
                font-size: 12px;
                line-height: 13px;
                padding: 15px 0  10px 15.5px;
                text-align: left;
                font-weight: 500;
            }
            ul{
                li{
                    font-size: 14px;
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    background-color: var(--fill-1);
                    padding: 15px 14.5px 15px 15.5px;
                    .items{
                        display: flex;
                        flex-direction: column;
                    }
                }
            }
        }
    }
</style>
